<?php

/*
  Plugin Name: Comment Role
  Plugin URI: http://wpschool.ir/
  description: This plugin helps you to display the role of users in WordPress comments :)
  Version: 1.1
  Author: Hossein Esmaeili
  Author URI: http://wpschool.ir/
  License: GPL2
 */

function wps_scripts() {
	wp_enqueue_style( 'crstyle', plugin_dir_url( __FILE__ ) . 'style.css', array(), '1.0' );
}
add_action( 'wp_enqueue_scripts', 'wps_scripts' );

if (!class_exists('WPB_Comment_Author_Role_Label')) :

    class WPB_Comment_Author_Role_Label {

        public function __construct() {
            add_filter('get_comment_author', array($this, 'wpb_get_comment_author_role'), 10, 3);
            add_filter('get_comment_author_link', array($this, 'wpb_comment_author_role'));
        }

// Get comment author role 
        function wpb_get_comment_author_role($author, $comment_id, $comment) {
            $authoremail = get_comment_author_email($comment);
// Check if user is registered
            if (email_exists($authoremail)) {
                $commet_user_role = get_user_by('email', $authoremail);
                $comment_user_role = $commet_user_role->roles[0];
// HTML output to add next to comment author name
                $this->comment_user_role = '<span class="comment-author-label comment-author-label-' . $comment_user_role . '">' . ucfirst($comment_user_role) . '</span> ';
            } else {
                $this->comment_user_role = '';
            }
            return $author;
        }

// Display comment author                   
        function wpb_comment_author_role($author) {
            return $this->comment_user_role . $author;
        }

    }

    new WPB_Comment_Author_Role_Label;
endif;